<template>
  <router-view v-slot="{ Component }">
    <transition name="el-zoom-in-center">
      <keep-alive include="KBMComponent">
        <component :is="Component" />
      </keep-alive>
    </transition>
  </router-view>
</template>

<script setup>
import { computed } from 'vue';
import { useRoute } from "vue-router"
const route = useRoute()


const cachedComponents = computed(() => {
  return route.meta.keepAlive ? [route.name] : [];
});


</script>

<style lang="less" scoped></style>